最大最专业黑客组织 -- 黑客联盟 -- Hacker Union For China -- www.ChinaHacker.Com -- 黑色矩防火墙 -- 专业防御DDOS攻击

联盟首页 技术文章 软件下载 DDOS防御 核心申请 分站申请 邮局系统 技术咨询 区域分化 广告合作 代理服务 版本V6.22

-------- Welcome To Hacker Union For China !Thank You For Your Support !--------
================ 维护祖国尊严 爱我中华 强我中华 耀我中华 ================
中国黑客联盟>>网络信息  |   中国黑客联盟>>系统知识  |  
中国黑客联盟>>网络信息>>系统漏洞>>PostgreSQL任意代码执行漏洞

PostgreSQL任意代码执行漏洞


受影响系统:
PostgreSQL PostgreSQL < 4.5.1
描述:
--------------------------------------------------------------------------------
CVE(CAN) ID: CVE-2021-33204

PostgreSQL是Postgresql组织的一套自由的对象关系型数据库管理系统。该系统支持大部分SQL标准并且提供了许多其他特性,例如外键、触发器、视图等。
PostgreSQL 4.5.1之前版本的pg_partman extension存在任意代码执行漏洞。该漏洞源于程序未设置显式的search_path。攻击者可通过SECURITY DEFINER函数利用该漏洞执行任意代码。

<**>

建议:
--------------------------------------------------------------------------------
厂商补丁:

PostgreSQL
----------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/pgpartman/pg_partman/commit/0b6565ad378c358f8a6cd1d48ddc482eb7f854d3

原作者:不详
来 源:不详
共有1102位读者阅读过此文

□- 本周热门文章
1.Datalogic AV7000 L...[362614]
2.Delta Controls ent...[146100]
3.黑客入侵实例之轻装入侵个人主页空间 [133027]
4.Autodesk AutoCAD远程...[112145]
5.浅析如何控制内网机器[70389]
6.Yokogawa多个产品栈缓冲区溢出...[69723]
7.破解“隐身”的几大绝招[58825]

关于我们 | 分站申请 | 成员申请 | 技术论坛 | 站内导航 | 合作伙伴 | 联系我们

Copyrights © 2002 - 2019 www.ChinaHacker.com All Rights Reserved

版权所有   中 国 黑 客 联 盟

(Hacker Union For China V 6.22)

闽ICP备05007859号